GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
gdcm::Object Class Reference

Object. More...

`#include <gdcmObject.h>`

Inheritance diagram for gdcm::Object:
[legend]

## Public Member Functions

| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assigment operator.
virtual | ~Object ()
void | operator= (const Object &)
virtual void | Print (std::ostream &) const

## Protected Member Functions

void | Register ()
void | UnRegister ()

## Friends

std::ostream & | operator<< (std::ostream &os, const Object &obj)
template<class ObjectType >
class | SmartPointer

## Detailed Description

Object.

Note
  main superclass for object that want to use SmartPointer invasive ref counting system

See Also
  SmartPointer

## Constructor & Destructor Documentation

gdcm::Object::Object | ( |  | ) |

inline

virtual gdcm::Object::~Object | ( |  | ) |

inlinevirtual

gdcm::Object::Object | ( | const Object & |  | ) |

inline

Special requirement for copy/cstor, assigment operator.

## Member Function Documentation

void gdcm::Object::operator= | ( | const Object & |  | ) |

inline

virtual void gdcm::Object::Print | ( | std::ostream & |  | ) | const

inlinevirtual

Reimplemented in gdcm::ByteValue, gdcm::SequenceOfItems, gdcm::SequenceOfFragments, gdcm::Scanner, gdcm::Image, gdcm::Curve, gdcm::Overlay, gdcm::Bitmap, gdcm::LookupTable, gdcm::Pixmap, and gdcm::SegmentedPaletteColorLookupTable.

Examples:
  ReadAndDumpDICOMDIR.cxx.

Referenced by gdcm::operator<<().

void gdcm::Object::Register | ( |  | ) |

inlineprotected

void gdcm::Object::UnRegister | ( |  | ) |

inlineprotected

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | os,
|  | const Object & | obj
| ) |  |

friend

template<class ObjectType >

friend class SmartPointer

friend

The documentation for this class was generated from the following file:

- gdcmObject.h